| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
EM::RegionCrlBoundary Class Reference
EarthModel

`#include <emregion.h>`

Inheritance diagram for EM::RegionCrlBoundary:
[legend]

## Public Member Functions
| RegionCrlBoundary (int crl=mUdf(int))
| ~RegionCrlBoundary ()
void | fillPar (IOPar &) const override
void | getSideStrs (uiStringSet &) const override
bool | onRightSide (const TrcKey &, float z) const override
const char * | type () const override
bool | usePar (const IOPar &) override
Public Member Functions inherited from EM::RegionBoundary
| ~RegionBoundary ()
int | getSide () const
virtual bool | hasName () const
virtual bool | init (TaskRunner *)
virtual void | setSide (int sd)
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
int | crl_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Protected Member Functions inherited from EM::RegionBoundary
| RegionBoundary ()
Protected Attributes inherited from EM::RegionBoundary
int | side_ = -1
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ RegionCrlBoundary()

EM::RegionCrlBoundary::RegionCrlBoundary | ( | int | crl = mUdf(int) | ) |

## ◆ ~RegionCrlBoundary()

EM::RegionCrlBoundary::~RegionCrlBoundary | ( |  | ) |

## Member Function Documentation

## ◆ fillPar()

void EM::RegionCrlBoundary::fillPar | ( | IOPar & |  | ) | const
| override virtual

Implements EM::RegionBoundary.

## ◆ getSideStrs()

void EM::RegionCrlBoundary::getSideStrs | ( | uiStringSet & |  | ) | const
| override virtual

Implements EM::RegionBoundary.

## ◆ onRightSide()

bool EM::RegionCrlBoundary::onRightSide | ( | const TrcKey & | ,
|  | float | z ) const
| override virtual

Implements EM::RegionBoundary.

## ◆ type()

const char * EM::RegionCrlBoundary::type | ( |  | ) | const
| override virtual

Implements EM::RegionBoundary.

## ◆ usePar()

bool EM::RegionCrlBoundary::usePar | ( | const IOPar & |  | ) |
| override virtual

Implements EM::RegionBoundary.

## Member Data Documentation

## ◆ crl_

int EM::RegionCrlBoundary::crl_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025